commit:     1d24794ed4eb7415f307f66f2e324a769c147f7b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 19 12:38:31 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Mar 19 13:53:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d24794e

app-emacs/php-mode: bump to 1.24.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/php-mode/Manifest               |  1 +
 app-emacs/php-mode/php-mode-1.24.3.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)

diff --git a/app-emacs/php-mode/Manifest b/app-emacs/php-mode/Manifest
index 9c2a15401877..c0b1c811e9b1 100644
--- a/app-emacs/php-mode/Manifest
+++ b/app-emacs/php-mode/Manifest
@@ -1,3 +1,4 @@
 DIST php-mode-1.23.0.tar.gz 94451 BLAKE2B 
324eda995ba8d93ca9bec691c88b05caac3d6786b2d1caac39dc34f513e8a026b3803ad3712729b147a8ee839fe337bf11ebaa1b718cb4c741997a9e1c9279a3
 SHA512 
051adf317ac1dc4ae14b3aaad9aa15ef650a74c7c1ff134ff9a26664cc7494b522957d9cbed981ec398e9bdc6ccae4437c628b2fe3535e8f2a95da34363ec88a
 DIST php-mode-1.24.0.tar.gz 94715 BLAKE2B 
226dfe72153f541d8a7ee396dc3cb49c2b0a26c084a3ea36f812f4e923cf364d3ddca0192b87b5a068a9a19a9cfa1227a91f0793374e513b957764b0c867df3f
 SHA512 
fd26f1f022d20bf3dffb772f3735b244cf7e2b4fe51ed35c6ead4f7a7b21686cecd2db54f882a6622a34e3265b4af68d71b589d5adc79b15be3c5e4019ea026a
 DIST php-mode-1.24.2.tar.gz 133018 BLAKE2B 
d6d5da323f10ffd133b34e672576a1ac7c2c2284aba6bab6c628d5fb335327a9e7c73035f47a709046591e57ff4bd53d386e516f4004d000c4276cb341ac4783
 SHA512 
52c9770baea00a05a468e91d9af765cb1665980c7acb32220829e7920ae092996b017c396836b171f2affa61bdb6329e7460acde88dd788004750ca21f280a7a
+DIST php-mode-1.24.3.tar.gz 139037 BLAKE2B 
07cd54f10f89a937481c523f1f6e4bbe0f006da80dabaf6ce245f9da89d8fc19a7703a6f05ac721eeec46c13e7ac2c6a7a754c731d4a4b7411030b7725c3b36c
 SHA512 
50568799e894c6aafd07416680a3011406a0ef6e906cd5780684c327a696f13411bd01dc71919f12663a8dd7b000435dd8259248e4db56d0a6a7807d8387be29

diff --git a/app-emacs/php-mode/php-mode-1.24.3.ebuild 
b/app-emacs/php-mode/php-mode-1.24.3.ebuild
new file mode 100644
index 000000000000..2c8b0eadeb01
--- /dev/null
+++ b/app-emacs/php-mode/php-mode-1.24.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=24
+
+inherit elisp
+
+DESCRIPTION="GNU Emacs major mode for editing PHP code"
+HOMEPAGE="https://github.com/emacs-php/php-mode/";
+SRC_URI="https://github.com/emacs-php/${PN}/archive/v${PV}.tar.gz
+       -> ${P}.tar.gz"
+S="${WORKDIR}"/${P}/lisp
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+DOCS=( ../AUTHORS.md ../CHANGELOG.md ../CONTRIBUTING.md ../README{,.ja}.md 
../docs )
+SITEFILE="50${PN}-gentoo.el"
+
+src_test() {
+       touch ../tests/project/1/.git || die
+       ${EMACS} ${EMACSFLAGS} -L . -L ../tests -l ../tests/php-mode-test.el \
+               -f ert-run-tests-batch-and-exit || die "tests run failed"
+}

Reply via email to